Skip to content

List Projects

client.v2Projects.list(V2ProjectListParams { name, organization_id, page_size, page_token } query?, RequestOptionsoptions?): PaginatedCursor<V2ProjectListResponse { id, name, organization_id, 3 more } >
GET/api/v2/projects

List projects in an organization. Requires organization_id or a project-scoped API key.

ParametersExpand Collapse
query: V2ProjectListParams { name, organization_id, page_size, page_token }
name?: string | null
organization_id?: string | null
page_size?: number | null
page_token?: string | null
ReturnsExpand Collapse
V2ProjectListResponse { id, name, organization_id, 3 more }

API response schema for a project.

id: string

The project’s unique identifier.

name: string

The project’s display name.

organization_id: string

The organization the project belongs to.

created_at?: string | null

Creation datetime

formatdate-time
is_default?: boolean

Whether this project is the default project for its organization.

updated_at?: string | null

Update datetime

formatdate-time

List Projects

import LlamaCloud from '@llamaindex/llama-cloud';

const client = new LlamaCloud({
  apiKey: process.env['LLAMA_CLOUD_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const v2ProjectListResponse of client.v2Projects.list()) {
  console.log(v2ProjectListResponse.id);
}
{
  "items": [
    {
      "id": "id",
      "name": "name",
      "organization_id": "organization_id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "is_default": true,
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Returns Examples
{
  "items": [
    {
      "id": "id",
      "name": "name",
      "organization_id": "organization_id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "is_default": true,
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/